<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{registrars.overview}">Übersicht ÄiW</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>

	<main>
	<form method="post" data-th-action="@{/persons/registrars/filter}" data-th-object="${registrarFilter}">
		<fieldset>
			<legend data-th-text="#{registrars.filter}">ÄiW filtern</legend>
			<th:block data-th-replace="fragments/filter::text(field='fullName', prefix='registrars.', fieldname='fullname')" />
			<th:block data-th-replace="fragments/filter::allowArchived" />
		</fieldset>
		<p data-th-replace="fragments/snippets::filterButton" />

	</form>

	<table class="datatable">
		<caption data-th-text="#{registrars.overview}">Übersicht Ärzte in Weiterbildung</caption>
		<thead>
			<tr>
				<th colspan="3"></th>
				<th data-th-text="#{persons.name}">Name</th>
				<th data-th-text="#{persons.address}">Adresse</th>
				<th data-th-text="#{persons.birthdate}">Geburtsdatum</th>
				<th data-th-text="#{registrars.trainingposition}">Aktuelle Weiterbildungsstelle</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="registrar : ${registrars}">
				<td><p data-th-replace="fragments/snippets::edit('/persons/registrars', ${registrar.id})" /></td>
				<td><p data-th-replace="fragments/snippets::conversation('/persons/registrars', ${registrar.id})" /></td>
				<td><p data-th-replace="fragments/snippets::rotationplan(${registrar.id})" /></td>
				<td data-th-text="${registrar.fullAppellation}">Vorname Nachname</td>
				<td data-th-text="${registrar.address.fullAddress}">Adresse</td>
				<td data-th-text="${#temporals.format(registrar.birthDate, 'dd.MM.yyyy')}">Geburtsdatum</td>
				<td data-th-unless="${currentSegments[registrar.id] == null}"><a data-th-text="${currentSegments[registrar.id].trainingPosition.authorisation.trainingSite.name}" data-th-href="@{/training/trainingpositions/{id}/edit(id=${currentSegments[registrar.id].trainingPosition.id})}"></a></td>
				<td data-th-if="${currentSegments[registrar.id] == null}"></td>
				<td><p data-th-replace="fragments/snippets::archive('/persons/registrars', ${registrar.id})" /></td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="8"><a data-th-href="@{/persons/registrars/create}" data-th-text="#{registrars.create}">create</a></td>
			</tr>
		</tfoot>
	</table>
	</main>

</body>
</html>